Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: rhgb

Interfaces

### Description:

Red Hat Graphical Boot.

### Interfaces:

rhgb_dontaudit_rw_stream_sockets( domain )

##### Summary

Do not audit attempts to read and write rhgb unix domain stream sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

rhgb_dontaudit_use_ptys( domain )

##### Summary

Do not audit attempts to read and write rhgb pty devices.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

rhgb_getpgid( domain )

##### Summary

Get the process group of rhgb.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhgb_rw_shm( domain )

##### Summary

Read and write to rhgb shared memory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhgb_rw_stream_sockets( domain )

##### Summary

Read and write inherited rhgb unix domain stream sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhgb_rw_tmpfs_files( domain )

##### Summary

Read and write to rhgb tmpfs files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhgb_signal( domain )

##### Summary

Send generic signals to rhgb.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhgb_stream_connect( domain )

##### Summary

Connected to rhgb with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhgb_stub( domain )

##### Summary

RHGB stub interface. No access allowed.

##### Parameters

Parameter: | Description:
--- | ---
domain | N/A

rhgb_use_fds( domain )

##### Summary

Inherit and use rhgb file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhgb_use_ptys( domain )

##### Summary

Read and write rhgb pty devices.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return